org.apache.hadoop.yarn.api.protocolrecords

## Class SubmitApplicationResponse

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.SubmitApplicationResponse

-     @InterfaceAudience.Public
       @InterfaceStability.Stable
      public abstract class SubmitApplicationResponse
      extends Object

  The response sent by the `ResourceManager` to a client on application submission.

  Currently, this is empty.

  See Also:
    `ApplicationClientProtocol.submitApplication(SubmitApplicationRequest)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubmitApplicationResponse()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SubmitApplicationResponse` | `newInstance()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubmitApplicationResponse

          public SubmitApplicationResponse()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public static SubmitApplicationResponse newInstance()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.